# Uses of Class
com.google.protobuf.StringValue

Packages that use StringValue
Package
Description
com.google.protobuf

## Uses of StringValue in com.google.protobuf

Methods in com.google.protobuf that return StringValue
Modifier and Type
Method
Description
`StringValue`
StringValue.Builder.`build()`
`StringValue`
StringValue.Builder.`buildPartial()`
`static StringValue`
StringValue.`getDefaultInstance()`
`StringValue`
StringValue.Builder.`getDefaultInstanceForType()`
`StringValue`
StringValue.`getDefaultInstanceForType()`
`static StringValue`
StringValue.`of(String value)`
`static StringValue`
StringValue.`parseDelimitedFrom(InputStream input)`
`static StringValue`
StringValue.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static StringValue`
StringValue.`parseFrom(byte[] data)`
`static StringValue`
StringValue.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static StringValue`
StringValue.`parseFrom(ByteString data)`
`static StringValue`
StringValue.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static StringValue`
StringValue.`parseFrom(CodedInputStream input)`
`static StringValue`
StringValue.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static StringValue`
StringValue.`parseFrom(InputStream input)`
`static StringValue`
StringValue.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static StringValue`
StringValue.`parseFrom(ByteBuffer data)`
`static StringValue`
StringValue.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type StringValue
Modifier and Type
Method
Description
`Parser<StringValue>`
StringValue.`getParserForType()`
`static Parser<StringValue>`
StringValue.`parser()`
Methods in com.google.protobuf with parameters of type StringValue
Modifier and Type
Method
Description
`StringValue.Builder`
StringValue.Builder.`mergeFrom(StringValue other)`
`static StringValue.Builder`
StringValue.`newBuilder(StringValue prototype)`